package examen.visus;

import java.awt.GridLayout;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JProgressBar;
import javax.swing.SwingConstants;

/**
 * <p>VisuGraphes class.</p>
 *
 * @author db200253
 * @version $Id: $Id
 */
public class VisuGraphes {
  private JComponent panneau;
  private JProgressBar barreHeure;
  private JProgressBar barreMinute;
  private JProgressBar barreSeconde;

  /**
   * <p>Constructor for VisuGraphes.</p>
   */
  public VisuGraphes() {
    GridLayout layout = new GridLayout(3, 2);
    panneau = new JLabel();
    panneau.setLayout(layout);
    barreHeure = new JProgressBar(SwingConstants.HORIZONTAL, 0, 23);
    barreMinute = new JProgressBar(SwingConstants.HORIZONTAL, 0, 59);
    barreSeconde = new JProgressBar(SwingConstants.HORIZONTAL, 0, 59);
    JLabel titreHeure = new JLabel("Heure :");
    panneau.add(titreHeure);
    panneau.add(barreHeure);
    JLabel titreMinute = new JLabel("Minute :");
    panneau.add(titreMinute);
    panneau.add(barreMinute);
    JLabel titreSeconde = new JLabel("Seconde :");
    panneau.add(titreSeconde);
    panneau.add(barreSeconde);
  }

  /**
   * <p>getVue.</p>
   *
   * @return a {@link javax.swing.JComponent} object
   */
  public JComponent getVue() {
    return panneau;
  }

  /**
   * <p>setHeure.</p>
   *
   * @param heures a int
   * @param minutes a int
   * @param secondes a int
   */
  public void setHeure(int heures, int minutes, int secondes) {
    barreHeure.setValue(heures);
    barreMinute.setValue(minutes);
    barreSeconde.setValue(secondes);
  }
}
